package ink.wgink.module.wechat.pay.enums;

/**
 * @ClassName: RefundsAmountFromAccountEnum
 * @Description: 出资账户类型
 * @Author: wanggeng
 * @Date: 2022/11/11 17:10
 * @Version: 1.0
 */
public enum RefundAmountFromAccountEnum {

    AVAILABLE("AVAILABLE", "可用余额"),
    UNAVAILABLE("UNAVAILABLE", "不可用余额");

    private String value;
    private String text;

    RefundAmountFromAccountEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
