package ink.wgink.module.wechat.pay.enums;

/**
 * @ClassName: RefundsChannelEnum
 * @Description: 退款渠道枚举
 * @Author: wanggeng
 * @Date: 2022/11/10 21:34
 * @Version: 1.0
 */
public enum RefundChannelEnum {

    ORIGINAL("ORIGINAL", "原路退款"),
    BALANCE("BALANCE", "退回到余额"),
    OTHER_BALANCE("OTHER_BALANCE", "原账户异常退到其他余额账户"),
    OTHER_BANKCARD("OTHER_BANKCARD", "原银行卡异常退到其他银行卡");

    private String value;
    private String text;

    RefundChannelEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
