package ink.wgink.module.wechat.pay.enums;

/**
 * @ClassName: RefundsPromotionDetailScopeEnum
 * @Description: 退款优惠范围枚举
 * @Author: wanggeng
 * @Date: 2022/11/11 17:59
 * @Version: 1.0
 */
public enum RefundPromotionDetailScopeEnum {

    GLOBAL("GLOBAL", "全场代金券"),
    SINGLE("SINGLE", "单品优惠");

    private String value;
    private String text;

    RefundPromotionDetailScopeEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
