package ink.wgink.module.wechat.pay.pojo.v3.refund;

import ink.wgink.module.wechat.pay.enums.RefundAmountFromAccountEnum;

/**
 * @ClassName: AmountFrom
 * @Description: 退款出资账户及金额
 * @Author: wanggeng
 * @Date: 2022/11/11 18:41
 * @Version: 1.0
 */
public class AmountFrom {

    /**
     * 出资账户类型
     */
    private RefundAmountFromAccountEnum account;
    /**
     * 出资金额<br/>
     * 对应账户出资金额
     */
    private Integer amount;

    public RefundAmountFromAccountEnum getAccount() {
        return account;
    }

    public void setAccount(RefundAmountFromAccountEnum account) {
        this.account = account;
    }

    public Integer getAmount() {
        return amount == null ? 0 : amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

}
