package ink.wgink.module.wechat.pay.pojo.v3.refund;

/**
 * @ClassName: GoodsDetail
 * @Description: 退款商品
 * @Author: wanggeng
 * @Date: 2022/11/11 18:44
 * @Version: 1.0
 */
public class GoodsDetail {

    /**
     * 商户侧商品编码<br/>
     * 由半角的大小写字母、数字、中划线、下划线中的一种或几种组成
     */
    private String merchant_goods_id;
    /**
     * 微信支付商品编码<br/>
     * 微信支付定义的统一商品编号（没有可不传）
     */
    private String wechatpay_goods_id;
    /**
     * 商品名称<br/>
     * 商品的实际名称
     */
    private String goods_name;
    /**
     * 商品单价<br/>
     * 商品单价金额，单位为分
     */
    private Integer unit_price;
    /**
     * 商品退款金额<br/>
     * 商品退款金额，单位为分
     */
    private Integer refund_amount;
    /**
     * 商品退货数量
     */
    private Integer refund_quantity;

    public String getMerchant_goods_id() {
        return merchant_goods_id == null ? "" : merchant_goods_id.trim();
    }

    public void setMerchant_goods_id(String merchant_goods_id) {
        this.merchant_goods_id = merchant_goods_id;
    }

    public String getWechatpay_goods_id() {
        return wechatpay_goods_id == null ? "" : wechatpay_goods_id.trim();
    }

    public void setWechatpay_goods_id(String wechatpay_goods_id) {
        this.wechatpay_goods_id = wechatpay_goods_id;
    }

    public String getGoods_name() {
        return goods_name == null ? "" : goods_name.trim();
    }

    public void setGoods_name(String goods_name) {
        this.goods_name = goods_name;
    }

    public Integer getUnit_price() {
        return unit_price == null ? 0 : unit_price;
    }

    public void setUnit_price(Integer unit_price) {
        this.unit_price = unit_price;
    }

    public Integer getRefund_amount() {
        return refund_amount == null ? 0 : refund_amount;
    }

    public void setRefund_amount(Integer refund_amount) {
        this.refund_amount = refund_amount;
    }

    public Integer getRefund_quantity() {
        return refund_quantity == null ? 0 : refund_quantity;
    }

    public void setRefund_quantity(Integer refund_quantity) {
        this.refund_quantity = refund_quantity;
    }

}
