package ink.wgink.module.wechat.pay.service.v3.refund.impl;

import ink.wgink.common.base.DefaultBaseService;
import ink.wgink.module.wechat.pay.pojo.v3.refund.RefundNoticeCiphertext;
import ink.wgink.module.wechat.pay.service.v3.refund.IRefundNoticeService;
import org.springframework.stereotype.Service;

/**
 * @ClassName: DefaultRefundNoticeServiceImpl
 * @Description: 默认退款通知
 * @Author: wanggeng
 * @Date: 2022/11/12 00:36
 * @Version: 1.0
 */
@Service
public class DefaultRefundNoticeServiceImpl extends DefaultBaseService implements IRefundNoticeService {

    @Override
    public void handle(RefundNoticeCiphertext refundNoticeCiphertext) {
        LOG.debug("Pay notice: {}", refundNoticeCiphertext.toString());
    }

}
