package ink.wgink.module.wechat.pay.service.v3.refund;

import ink.wgink.module.wechat.pay.pojo.v3.refund.RefundNoticeCiphertext;

/**
 * @ClassName: IRefundNoticeService
 * @Description: 退款通知业务，完成退款后，微信支付发起异步通知，实现该类完成业务处理
 * @Author: wanggeng
 * @Date: 2022/11/11 23:47
 * @Version: 1.0
 */
public interface IRefundNoticeService {

    /**
     * 退款通知结果，该方法在所有校验通过，加密文本解密之后调用。
     *
     * @param refundNoticeCiphertext
     */
    void handle(RefundNoticeCiphertext refundNoticeCiphertext);

}
